package fr.sanchezm.attestationsCovid19.data.repository

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import fr.sanchezm.attestationsCovid19.data.db.entity.Profile

class ProfileRepository private constructor(/*private val profileDao: ProfileDao*/) {

    private var _profile = MutableLiveData(Profile(
        "Mathieu",
        "Sanchez",
        "19/11/1997",
        "Perpignan",
        "33 Rue Salvador Dali",
        "Canohes",
        "66680"
    ))

    fun getProfile(): LiveData<Profile> = _profile

    //    fun insertProfile(profile: Profile) = profileDao.insert(profile)
    fun insertProfile(profile: Profile) {
        _profile.value = profile
    }

    companion object {
        @Volatile
        private var instance: ProfileRepository? = null

        fun getInstance(/*profileDao: ProfileDao*/) =
            instance ?: synchronized(this) {
                instance ?: ProfileRepository(/*profileDao*/).also { instance = it }
            }
    }
}